Subject: Re: [manet] [Technical Errata Reported] RFC8175 (6472)

From: Rick Taylor <[email-masked]>
Date: Wed, 10 Mar 2021 16:05:01 +0000

Hi All,

I shall be discussing this Errata in the Friday WG meeting.

Cheers,

Rick

> -----Original Message-----
> From: RFC Errata System [mailto:[email-masked]]
> Sent: 10 March 2021 16:03
> To: [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Cc: Rick Taylor; [email-masked]; [email-masked]
> Subject: [Technical Errata Reported] RFC8175 (6472)
> 
> The following errata report has been submitted for RFC8175,
> "Dynamic Link Exchange Protocol (DLEP)".
> 
> --------------------------------------
> You may review the report below and at:
> https://www.rfc-editor.org/errata/eid6472
> 
> --------------------------------------
> Type: Technical
> Reported by: Rick Taylor <[email-masked]>
> 
> Section: 12.4, para 2
> 
> Original Text
> -------------
> A Peer Offer Signal MUST be encoded within a UDP packet.  The IP source
> and destination fields in the packet MUST be set by swapping the values
> received in the Peer Discovery Signal.  The Peer Offer Signal completes the
> discovery process; see Section 7.1.
> 
> Corrected Text
> --------------
> A Peer Offer Signal MUST be encoded within a UDP packet. If the Modem is
> not including IPv4 and IPv6 Connection Point Data Items in the Peer Offer
> Signal, then the IP source field in the packet MUST be set to the unicast
> address the router must use when connecting the DLEP TCP session,
> otherwise any valid local address MUST be used.  The IP destination field in
> the packet MUST be set to the IP source field value received in the Peer
> Discovery Signal.  The Peer Offer Signal completes the discovery process; see
> Section 7.1.
> 
> Notes
> -----
> The original text will not result in a valid unicast IP packet.
> 
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party
> can log in to change the status and edit the report, if necessary.
> 
> --------------------------------------
> RFC8175 (draft-ietf-manet-dlep-29)
> --------------------------------------
> Title               : Dynamic Link Exchange Protocol (DLEP)
> Publication Date    : June 2017
> Author(s)           : S. Ratliff, S. Jury, D. Satterwhite, R. Taylor, B. Berry
> Category            : PROPOSED STANDARD
> Source              : Mobile Ad-hoc Networks
> Area                : Routing
> Stream              : IETF
> Verifying Party     : IESG

---

From: RFC Errata System <[email-masked]>
Date: Wed, 10 Mar 2021 08:03:18 -0800 (PST)

Section: 12.4, para 2

Original Text
-------------
A Peer Offer Signal MUST be encoded within a UDP packet.  The IP source and destination fields in the packet MUST be set by swapping the values received in the Peer Discovery Signal.  The Peer Offer Signal completes the discovery process; see Section 7.1.

Corrected Text
--------------
A Peer Offer Signal MUST be encoded within a UDP packet. If the Modem is not including IPv4 and IPv6 Connection Point Data Items in the Peer Offer Signal, then the IP source field in the packet MUST be set to the unicast address the router must use when connecting the DLEP TCP session, otherwise any valid local address MUST be used.  The IP destination field in the packet MUST be set to the IP source field value received in the Peer Discovery Signal.  The Peer Offer Signal completes the discovery process; see Section 7.1.

Notes
-----

Instructions:
-------------

---

From: Alvaro Retana <[email-masked]>
Date: Mon, 29 Mar 2021 11:04:34 -0700

[- Rick’s additional address, RFC Editor, other ADs.]

On March 10, 2021 at 11:05:03 AM, Rick Taylor wrote:

Hi!

I'm processing this report...but I have a question.  What do current
implementations do?  See move below.

...
> > otherwise any valid local address MUST be used. The IP destination field
> > in the packet MUST be set to the IP source field value received in the
> > Peer Discovery Signal. The Peer Offer Signal completes the discovery
> > process; see Section 7.1.
> >
> > Notes
> > -----

The new text is this:

   If the Modem is not including IPv4 and IPv6 Connection Point Data Items in
   the Peer Offer Signal, then the IP source field in the packet MUST be set
   to the unicast address the router must use when connecting the DLEP TCP
   session, otherwise any valid local address MUST be used.

I am having an issue with the double MUST.  Regardless of whether a
Connection Point Data Item is present, why wouldn't it be required (or
at least recommended) to always use the TCP-related IP address?

Proposal (to replace the new text)>
   The source IP address SHOULD be the address the peer should use when
   connecting the DLEP TCP session.  If a Connection Point Data Item is
   included, any valid local address MAY be used instead.

??

Thanks!

Alvaro.